%global srcname sendgrid

Name:           python-%{srcname}
Version:        3.6.5
Release:        3%{?dist}
Summary:        SendGrid library for Python

Group:          Development/Languages
License:        MIT
URL:            https://github.com/%{srcname}/%{srcname}-python/
Source0:        https://github.com/%{srcname}/%{srcname}-python/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Test requirements.
BuildRequires:  python2-http-client
BuildRequires:  PyYAML
BuildRequires:  python-werkzeug
BuildRequires:  python-flask
BuildRequires:  python2-six

BuildRequires:  python3-http-client
BuildRequires:  python3-PyYAML
BuildRequires:  python3-werkzeug
BuildRequires:  python3-flask
BuildRequires:  python3-six

%description
This library allows to quickly and easily send emails through
SendGrid using Python.


%package -n python2-%{srcname}
Summary:    %{summary}
Requires:   python2-http-client
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This library allows to quickly and easily send emails through
SendGrid using Python2.


%package -n python3-%{srcname}
Summary:    %{summary}
Requires:   python3-http-client
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This library allows to quickly and easily send emails through
SendGrid using Python3.


%package examples
Summary:        SendGrid library examples
Requires:       %{name} = %{version}-%{release}

%description examples
This package contains SendGrid library usage examples.


%prep
%setup -qn %{srcname}-python-%{version}
rm -fr %{srcname}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
# Exclude test_sendgrid.py, as it downloads extertal lib `prism` from Github.
rm test/test_sendgrid.py
%{__python2} -m unittest discover -v
%{__python3} -m unittest discover -v


%files -n python2-%{srcname}
%doc README.md
%license LICENSE.txt
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{srcname}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/

%files examples
%doc examples/*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 31 2017 Iryna Shcherbina <ishcherb@redhat.com> - 3.6.5-1
- Update to 3.6.3 and add examples subpackage
- Run tests

* Mon Mar 20 2017 Dominika Krejci <dkrejci@redhat.com> - 3.1.10-1
- Update to 3.1.10
- Add Python3 subpackage
- Add tests

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Daniel Bruno <dbruno@fedoraproject.org> - 0.1.4-1
- Initial package for Fedora

